Bug 1643744 - podman is not build with ostree support
Summary: podman is not build with ostree support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-28 08:32 UTC by Mildred
Modified: 2018-11-10 03:17 UTC (History)
4 users (show)

Fixed In Version: podman-0.10.1.3-4.gitdb08685.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-10 03:17:04 UTC


Attachments (Terms of Use)

Description Mildred 2018-10-28 08:32:04 UTC
Description of problem: podman is not build with ostree support

Version-Release number of selected component (if applicable): podman-0.10.1-1.gite4a1553.fc29.x86_64

How reproducible: always

Steps to Reproduce:

1. In ~/.config/containers/storage.conf write:

    [storage.options]
    ostree_repo = "/home/mildred/ostree"

2. run a container build with `podman build .`


Actual results:

could not get runtime: vfs: ostree_repo specified but support for ostree is missing

Expected results:

build would proceed with vfs and ostree backend

Additional info:

Running on Atomic Workstation (Silverblue)

The podman.spec should contain the `ostree` tag which does not appear in BUILDTAGS variable: https://src.fedoraproject.org/rpms/podman/blob/f29/f/podman.spec#_418

The script hack/ostree_tag.sh from libpod can auto detect ostree presence.

Comment 1 Lokesh Mandvekar 2018-10-28 22:21:01 UTC
Matt/Brent/Dan, currently podman is built with containers_image_ostree_stub, but I see that ostree-devel is used as a build dep and there's also this:

* Mon Jul 09 2018 Dan Walsh <dwalsh@redhat.com> - 0.7.2-4.gitf661e1d
- Add ostree support

Let me know if I should be getting rid of the ostree_stub buildtag.

Comment 2 Lokesh Mandvekar 2018-10-28 22:35:01 UTC
Sorry, scratch Comment 2. It's conmon that's built without ostree support and not podman. I'll add the ostree buildtag and rebuild. Thanks.

Comment 3 Fedora Update System 2018-10-28 23:22:29 UTC
podman-0.10.1.3-3.gitdb08685.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f0690a978

Comment 4 Fedora Update System 2018-10-28 23:22:36 UTC
podman-0.10.1.3-3.gitdb08685.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f0690a978

Comment 5 Fedora Update System 2018-10-29 02:29:34 UTC
podman-0.10.1.3-3.gitdb08685.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4d5868da89

Comment 6 Fedora Update System 2018-10-31 17:29:53 UTC
podman-0.10.1.3-3.gitdb08685.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4d5868da89

Comment 7 Fedora Update System 2018-10-31 18:48:36 UTC
podman-0.10.1.3-4.gitdb08685.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8f0690a978

Comment 8 Fedora Update System 2018-11-08 22:20:58 UTC
podman-0.11.1-1.gita4adfe5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-35572aff9e

Comment 9 Fedora Update System 2018-11-09 07:51:02 UTC
podman-0.11.1-1.gita4adfe5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-35572aff9e

Comment 10 Fedora Update System 2018-11-10 03:17:04 UTC
podman-0.10.1.3-4.gitdb08685.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.